package com.jpsoft.shinestar.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.base.entity.CanteenDining;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface CanteenDiningService {
	CanteenDining get(String id);
	boolean exist(String id);
	int insert(CanteenDining model);
	int update(CanteenDining model);
	int delete(String id);
	List<CanteenDining> list();
	List<CanteenDining> findByCanteenId(String CanteenId);
	Page<CanteenDining> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);
}